public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/chrony/, net-misc/chrony/files/
Date: Mon, 12 Oct 2015 12:30:27 +0000 (UTC)	[thread overview]
Message-ID: <1444653018.4eef551bae7af80851ef5b4277a3f81dce7d932b.jer@gentoo> (raw)

commit:     4eef551bae7af80851ef5b4277a3f81dce7d932b
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 12 12:28:33 2015 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 12:30:18 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4eef551b

net-misc/chrony: Rotate 2.2 logs without chronyc authentication

Package-Manager: portage-2.2.23

 net-misc/chrony/chrony-2.2_pre1-r1.ebuild  | 114 +++++++++++++++++++++++++++++
 net-misc/chrony/files/chrony-2.2.logrotate |   7 ++
 2 files changed, 121 insertions(+)

diff --git a/net-misc/chrony/chrony-2.2_pre1-r1.ebuild b/net-misc/chrony/chrony-2.2_pre1-r1.ebuild
new file mode 100644
index 0000000..3b219f2
--- /dev/null
+++ b/net-misc/chrony/chrony-2.2_pre1-r1.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils systemd toolchain-funcs
+
+DESCRIPTION="NTP client and server programs"
+HOMEPAGE="http://chrony.tuxfamily.org/"
+SRC_URI="http://download.tuxfamily.org/${PN}/${P/_/-}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="caps +cmdmon ipv6 libedit +ntp +phc +pps readline +refclock +rtc selinux +adns"
+REQUIRED_USE="
+	?? ( libedit readline )
+"
+
+CDEPEND="
+	caps? ( sys-libs/libcap )
+	libedit? ( dev-libs/libedit )
+	readline? ( >=sys-libs/readline-4.1-r4:= )
+"
+DEPEND="
+	${CDEPEND}
+	sys-apps/texinfo
+"
+RDEPEND="
+	${CDEPEND}
+	selinux? ( sec-policy/selinux-chronyd )
+"
+
+RESTRICT=test
+
+S="${WORKDIR}/${P/_/-}"
+
+src_prepare() {
+	sed -i \
+		-e 's:/etc/chrony\.:/etc/chrony/chrony.:g' \
+		-e 's:/var/run:/run:g' \
+		conf.c chrony.texi.in examples/* || die
+}
+
+src_configure() {
+	tc-export CC
+
+	local CHRONY_EDITLINE
+	# ./configure legend:
+	# --disable-readline : disable line editing entirely
+	# --without-readline : do not use sys-libs/readline (enabled by default)
+	# --without-editline : do not use dev-libs/libedit (enabled by default)
+	if ! use readline && ! use libedit; then
+		CHRONY_EDITLINE='--disable-readline'
+	else
+		CHRONY_EDITLINE+=" $(usex readline '' --without-readline)"
+		CHRONY_EDITLINE+=" $(usex libedit '' --without-editline)"
+	fi
+
+	# not an autotools generated script
+	local CHRONY_CONFIGURE="
+	./configure \
+		$(usex caps '' --disable-linuxcaps) \
+		$(usex cmdmon '' --disable-cmdmon) \
+		$(usex ipv6 '' --disable-ipv6) \
+		$(usex ntp '' --disable-ntp) \
+		$(usex phc '' --disable-phc) \
+		$(usex pps '' --disable-pps) \
+		$(usex rtc '' --disable-rtc) \
+		$(usex refclock '' --disable-refclock) \
+		$(usex adns '' --disable-asyncdns) \
+		${CHRONY_EDITLINE} \
+		${EXTRA_ECONF} \
+		--docdir=/usr/share/doc/${PF} \
+		--chronysockdir=/run/chrony \
+		--infodir=/usr/share/info \
+		--mandir=/usr/share/man \
+		--prefix=/usr \
+		--sysconfdir=/etc/chrony \
+		--disable-sechash \
+		--without-nss \
+		--without-tomcrypt
+	"
+
+	# print the ./configure call to aid in future debugging
+	einfo ${CHRONY_CONFIGURE}
+	bash ${CHRONY_CONFIGURE} || die
+}
+
+src_compile() {
+	emake all docs
+}
+
+src_install() {
+	default
+
+	doinfo chrony.info*
+
+	newinitd "${FILESDIR}"/chronyd.init chronyd
+	newconfd "${FILESDIR}"/chronyd.conf chronyd
+
+	insinto /etc/${PN}
+	newins examples/chrony.conf.example1 chrony.conf
+
+	dodoc examples/*.example*
+
+	keepdir /var/{lib,log}/chrony
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/chrony-2.2.logrotate chrony
+
+	systemd_newunit "${FILESDIR}"/chronyd.service-r2 chronyd.service
+	systemd_enable_ntpunit 50-chrony chronyd.service
+}

diff --git a/net-misc/chrony/files/chrony-2.2.logrotate b/net-misc/chrony/files/chrony-2.2.logrotate
new file mode 100644
index 0000000..ae76c8d
--- /dev/null
+++ b/net-misc/chrony/files/chrony-2.2.logrotate
@@ -0,0 +1,7 @@
+/var/log/chrony/*.log {
+	missingok
+	sharedscripts
+	postrotate
+		/usr/bin/chronyc cyclelogs
+	endscript
+}


             reply	other threads:[~2015-10-12 12:30 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-12 12:30 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-12-04  6:04 [gentoo-commits] repo/gentoo:master commit in: net-misc/chrony/, net-misc/chrony/files/ Jeroen Roovers
2016-05-22 15:38 Tobias Klausmann
2018-09-05 14:00 Mike Gilbert
2019-09-26  8:21 Jeroen Roovers
2020-03-30 18:36 Thomas Deutschmann
2020-09-05  9:29 Jeroen Roovers
2021-12-17  2:52 Sam James
2022-11-10  7:13 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444653018.4eef551bae7af80851ef5b4277a3f81dce7d932b.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox